Pular para o conteúdo principal
POST
/
pix
/
v1
/
payment
Create a PIX Payment
curl --request POST \
  --url https://api.pagou.ai/pix/v1/payment \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --data '
{
  "type": "PIX",
  "payer": {
    "fullName": "<string>",
    "document": "<string>"
  },
  "transaction": {
    "value": 1,
    "description": "<string>",
    "expirationTime": 1073741823,
    "dueDate": "<string>",
    "externalId": "<string>"
  },
  "splits": [
    {
      "pixKey": "<string>",
      "document": "<string>",
      "percent": 50,
      "amount": 1,
      "externalId": "<string>"
    }
  ]
}
'
import requests

url = "https://api.pagou.ai/pix/v1/payment"

payload = {
"type": "PIX",
"payer": {
"fullName": "<string>",
"document": "<string>"
},
"transaction": {
"value": 1,
"description": "<string>",
"expirationTime": 1073741823,
"dueDate": "<string>",
"externalId": "<string>"
},
"splits": [
{
"pixKey": "<string>",
"document": "<string>",
"percent": 50,
"amount": 1,
"externalId": "<string>"
}
]
}
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'PIX',
payer: {fullName: '<string>', document: '<string>'},
transaction: {
value: 1,
description: '<string>',
expirationTime: 1073741823,
dueDate: '<string>',
externalId: '<string>'
},
splits: [
{
pixKey: '<string>',
document: '<string>',
percent: 50,
amount: 1,
externalId: '<string>'
}
]
})
};

fetch('https://api.pagou.ai/pix/v1/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactionId": "trn_2d02fb2dbfa5479bbd8ec8ad5d629b9e",
  "status": "WAITING_PAYMENT",
  "pixQrCode": "00020101021226830014br.gov.bcb.pix2558example.com/pix/33f8fcb9-54aa-4f2c-8a66-466067f225cb5204000053039865802BR5921PAGOU SANDBOX TESTE6008SaoPaulo62070503***6304D17A",
  "pixCode": "000201010212...6304D17A",
  "generateTime": "2026-02-06T19:52:13.295Z",
  "expirationDate": "2026-02-06T20:52:13.295Z",
  "paymentLink": null
}
{
"type": "https://api.pagou.ai/problems/validation-error",
"title": "Validation Error",
"status": 422,
"detail": "The request contains invalid data.",
"instance": "/pix/v1/payment",
"errors": [
{
"field": "transaction.value",
"message": "Must be greater than zero.",
"code": "invalid_type"
}
]
}
{
"type": "https://api.pagou.ai/problems/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Authentication failed for POST /pix/v1/payment.",
"instance": "/pix/v1/payment"
}

Autorizações

apiKey
string
header
obrigatório

Corpo

application/json
type
enum<string>
obrigatório
Opções disponíveis:
PIX
payer
object
obrigatório
transaction
object
obrigatório
splits
object[]

Resposta

Success

transactionId
string
obrigatório
status
enum<string>
obrigatório
Opções disponíveis:
IN_ANALYSIS,
WAITING_CONFIRMATION,
WAITING_PAYMENT,
WAITING_WITHDRAW,
WITHDRAW_REQUEST,
WITHDRAW_PAID,
WEBHOOK_UPDATED,
WEBHOOK_ERROR,
PAID,
CANCELLED,
REVERSED,
REFUND,
REFUND_IN,
REFUND_OUT,
SOFT_REFUND,
ERROR,
PENDING_APPROVAL,
APPROVED,
DECLINED
pixQrCode
string
obrigatório
pixCode
string
obrigatório
generateTime
string
obrigatório
expirationDate
string
obrigatório